Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::WithParameter Struct Reference
Plugins

This class describes parameters on a plug-in. More...

`#include <WithParameter.h>`

Inheritance diagram for tlp::WithParameter:
[legend]
Collaboration diagram for tlp::WithParameter:
[legend]

List of all members.

## Public Member Functions

- const
  tlp::ParameterDescriptionList & getParameters ()
    Retrieves the parameters.
- template<typename T > void addInParameter (const char *str, const char *inHelp=NULL, const char *inDefValue=NULL, bool isMandatory=true)
    Adds an IN parameter to the plug-in.
- template<typename T > void addOutParameter (const char *str, const char *inHelp=NULL, const char *inDefValue=NULL, bool isMandatory=true)
    Adds an OUT parameter to the plug-in.
- template<typename T > void addInOutParameter (const char *str, const char *inHelp=NULL, const char *inDefValue=NULL, bool isMandatory=true)
    Adds an INOUT parameter to the plug-in.
- template<typename T > void addParameter (const char *parameterName, const char *help=NULL, const char *defaultValue=NULL, bool isMandatory=true)
    Adds an IN parameter to the plug-in (deprecated)

## Protected Attributes

- ParameterDescriptionList parameters
    The internal structure storing the parameters.

## Detailed Description

This class describes parameters on a plug-in.

These parameters can be of any type, and are used to generate a GUI that will be shown when the plug-in in invoked by the user. It is mainly used by algorithms to display options to the user, e.g. a clustering algorithm can let the user choose which measure to use.

## Member Function Documentation

template<typename T >

void tlp::WithParameter::addInOutParameter | ( | const char * | str,
|  | const char * | inHelp = `NULL`,
|  | const char * | inDefValue = `NULL`,
|  | bool | isMandatory = `true`
| ) |  | `[inline]`

Adds an INOUT parameter to the plug-in.

Parameters:

  str | The name of the parameter to add.
  inHelp | A description of the parameter, that will be displayed to the user. Defaults to 0.
  inDefValue | The default value the parameter should take, to be the initial value in the GUI. Defaults to 0.
  isMandatory | Whether this parameter requires a value or not. Defaults to true.

Returns:
  void

template<typename T >

void tlp::WithParameter::addInParameter | ( | const char * | str,
|  | const char * | inHelp = `NULL`,
|  | const char * | inDefValue = `NULL`,
|  | bool | isMandatory = `true`
| ) |  | `[inline]`

Adds an IN parameter to the plug-in.

Parameters:

  str | The name of the parameter to add.
  inHelp | A description of the parameter, that will be displayed to the user. Defaults to 0.
  inDefValue | The default value the parameter should take, to be the initial value in the GUI. Defaults to 0.
  isMandatory | Whether this parameter requires a value or not. Defaults to true.

Returns:
  void

template<typename T >

void tlp::WithParameter::addOutParameter | ( | const char * | str,
|  | const char * | inHelp = `NULL`,
|  | const char * | inDefValue = `NULL`,
|  | bool | isMandatory = `true`
| ) |  | `[inline]`

Adds an OUT parameter to the plug-in.

Parameters:

  str | The name of the parameter to add.
  inHelp | A description of the parameter, that will be displayed to the user. Defaults to 0.
  inDefValue | The default value the parameter should take, to be the initial value in the GUI. Defaults to 0.
  isMandatory | Whether this parameter requires a value or not. Defaults to true.

Returns:
  void

template<typename T >

void tlp::WithParameter::addParameter | ( | const char * | parameterName,
|  | const char * | help = `NULL`,
|  | const char * | defaultValue = `NULL`,
|  | bool | isMandatory = `true`
| ) |  | `[inline]`

Adds an IN parameter to the plug-in (deprecated)

Parameters:

  parameterName | The name of the parameter to add.
  help | A description of the parameter, that will de displayed to the user. Defaults to 0.
  defaultValue | The default value the parameter should take, to be the initial value in the GUI. Defaults to 0.
  isMandatory | Whether this parameter requires a value or not. Defaults to true.

Returns:
  void

const tlp::ParameterDescriptionList& tlp::WithParameter::getParameters | ( |  | ) |

Retrieves the parameters.

Returns:
  :ParameterDescriptionList the parameters of the plug-in.

## Member Data Documentation

ParameterDescriptionList tlp::WithParameter::parameters`[protected]`

The internal structure storing the parameters.

Tulip Software by LaBRI Visualization Team 2001 - 2012